=== debian/changelog ===
kmymoney (5.2.1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Switch to Qt6 and KF6. (Closes: #1111397)
  * debian/watch: Fix upstream monitoring script.
  * debian/*.install: Updated accordingly.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Nov 2025 14:46:53 -0500
