## kmymoney 5.2.1+p24.04+vstable+git20251012.0158

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251012.0158-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:58:56 +0000

kmymoney (5.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Aug 2025 00:12:12 +0000

kmymoney (5.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Jul 2025 00:20:58 +0000
