## kmymoney 5.2.1+p24.04+vstable+git20251015.1738

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251015.1738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:38:13 +0000
