## kmymoney 5.2.1+p24.04+vstable+git20251025.0018

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251025.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 25 Oct 2025 00:18:42 +0000
