=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251030.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:21:14 +0000
