## kmymoney 5.2.1+p24.04+vstable+git20251031.1018

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251031.1018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:18:23 +0000
