## kmymoney 5.2.1+p24.04+vstable+git20251231.0301

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20251231.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:01:38 +0000
