## kmymoney 5.2.1+p24.04+vstable+git20260101.0148

=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20260101.0148-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:48:18 +0000
