## kmymoney 5.2.1+p24.04+vstable+git20260202.1058

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,8 +51,8 @@
 # version. Details can be found in the libofx source code
 set(KMM_LIBOFX_MIN_VERSION 0.10.0)
 set(KMM_LIBOFX_MIN_SOVERSION 7.0.0)
-set(KMM_AQBANKING_MIN_VERSION 6.6.1)
-set(KMM_GWENHYWFAR_MIN_VERSION 5.12.1)
+set(KMM_AQBANKING_MIN_VERSION 6.8.4)
+set(KMM_GWENHYWFAR_MIN_VERSION 5.14.1)
 
 # Determine the GIT reference (if we're based on GIT)
 if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/.git")
@@ -60,7 +60,17 @@
           WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
           OUTPUT_VARIABLE VERSION_SUFFIX
           OUTPUT_STRIP_TRAILING_WHITESPACE)
-  set(VERSION_SUFFIX "-${VERSION_SUFFIX}")
+  execute_process(COMMAND git tag --contains ${VERSION_SUFFIX}
+          WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
+          OUTPUT_VARIABLE TAG
+          OUTPUT_STRIP_TRAILING_WHITESPACE)
+  # for commits that don't have a tag add the commit hash
+  # don't add the hash if the commit is tagged
+  if("" STREQUAL "${TAG}")
+    set(VERSION_SUFFIX "-${VERSION_SUFFIX}")
+  else()
+    set(VERSION_SUFFIX "")
+  endif()
   # Add variables which are similar to the build in names of cmake
   set(PROJECT_VERSION_SUFFIX "${VERSION_SUFFIX}")
   set(${PROJECT_NAME}_VERSION_SUFFIX "${VERSION_SUFFIX}")
@@ -287,6 +297,12 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
+# freeBSD error: passing no argument for the '...' parameter of a
+# variadic macro is a C++20 extension [-Werror,-Wc++20-extensions]
+if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    add_compile_options(-Wno-c++20-extensions)
+endif()
+
 # use DBus only on Linux
 if(CMAKE_SYSTEM_NAME MATCHES "Linux")
   set(KMM_DBUS 1)
@@ -312,18 +328,3 @@
 include (CheckIncludeFileCXX)
 check_include_file_cxx("unistd.h" HAVE_UNISTD_H)
 check_include_file_cxx("pwd.h" HAVE_PWD_H)
-check_include_file_cxx("windows.h" HAVE_WINDOWS_H)
-check_include_file_cxx("lmcons.h" HAVE_LMCONS_H)
-check_include_file_cxx("process.h" HAVE_PROCESS_H)
-
-# include check for members in structs
-include (CheckStructHasMember)
-
-######################### Special Requirements ##########################
-
-if(QT_MAJOR_VERSION LESS 6)
-  # This is needed for QtSqlite and QtDesigner
-  # (they'll install files to ${QT_INSTALL_DIR}/plugins/)
-  get_filename_component(QT_BIN_DIR "${QT_MOC_EXECUTABLE}" PATH)
-  get_filename_component(QT_DIR     ${QT_BIN_DIR}        PATH)
-  set(QT_INSTALL_DIR ${QT_DIR} CACHE PATH
