=== debian/changelog ===
kmymoney (5.2.1+p24.04+vstable+git20260202.1058-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:58:27 +0000
